/*
 * Class EXCEPTION_MANAGER_FACTORY
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_487 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_487 [] = {0xFF01,1551,486,0xFFFF};
static const EIF_TYPE_INDEX egt_2_487 [] = {0xFF01,486,0xFFFF};
static const EIF_TYPE_INDEX egt_3_487 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_487 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_487 [] = {0xFF01,486,0xFFFF};
static const EIF_TYPE_INDEX egt_6_487 [] = {0xFF01,486,0xFFFF};
static const EIF_TYPE_INDEX egt_7_487 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_487 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_487 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_487 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_487 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_487 [] = {0xFF01,486,0xFFFF};
static const EIF_TYPE_INDEX egt_13_487 [] = {0xFF01,345,0xFFFF};


static const struct desc_info desc_487[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_487), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_487), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_487), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_487), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_487), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_487), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_487), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_487), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_487), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_487), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_487), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_487), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x03CD /*486*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_487), 30, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_487), 8191, 0xFFFFFFFF},
};
void Init487(void)
{
	IDSC(desc_487, 0, 486);
	IDSC(desc_487 + 1, 1, 486);
	IDSC(desc_487 + 32, 712, 486);
}


#ifdef __cplusplus
}
#endif
